PROGRAM Bauhaus (input,output);


TYPE %include 'edwin:types.pas'
     pointa = array [1..10] of pointfm;
     %include 'edwin:specs.pas'
     %include 'edwin:shapes.pas'


VAR jaw : array [1..10] of pointfm;

procedure polygon4(a,b,c,d,e,f,g,h : integer); extern;

PROCEDURE eye;
BEGIN
     rectangle (320,605,425,720);
     moveabs (320,720);
     linerel (-45,0);
     moveabs (425,605);
     linerel (0,-45)
END;


PROCEDURE face;
BEGIN
     rectangle (504,440,522,841)
END;


PROCEDURE jaws;
BEGIN
   setcolour(0);
     polygon4(250, 250, 750, 250, 950, 860, 250, 750)
END;


PROCEDURE chin;
BEGIN
     moveabs (325,290);
     linerel (45,0);
END;


PROCEDURE readstring ;

VAR ch : char;

BEGIN
     read (ch);
     WHILE ch <> '.' DO BEGIN
           character (ch);
           read (ch)
     END
END;


PROCEDURE heading;
BEGIN
     moveabs (200,880);
     setcharfont (26);
     setcharsize (80);
     readstring ;
     moveabs (20,75);
     setcharsize (50);
     readstring
END;


BEGIN
     initialisefor (defaultdevice);
     newframe;
     setcharquality (1);
     heading;
     moveabs (512,512);
     circle (330);
     setshademode (1);
     eye;
     face;
     chin;
     jaws;
     terminateedwin
END.
